=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2014-07-05 19:33:38 +0000
+++ CMakeLists.txt	2015-10-30 09:51:52 +0000
@@ -26,6 +26,12 @@
   set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
 endif()
 
+if (LIBPINYIN_GEN_UNIGRAM AND LIBPINYIN_GEN_BINARY_FILES AND LIBPINYIN_IMPORT_INTERPOLATION)
+    set(LIBPINYIN_TOOLS_FOUND 1)
+else()
+    set(LIBPINYIN_TOOLS_FOUND 0)
+endif ()
+
 set(FCITX_LIBPINYIN_ZHUYIN_DATADIR
   "${FCITX4_PREFIX}/share/fcitx/libpinyin/zhuyin_data")
 set(libdir ${LIB_INSTALL_DIR})

=== modified file 'cmake/FindLibpinyin.cmake'
--- cmake/FindLibpinyin.cmake	2014-07-05 19:33:38 +0000
+++ cmake/FindLibpinyin.cmake	2015-10-30 09:51:52 +0000
@@ -16,7 +16,7 @@
 endif(LIBPINYIN_INCLUDE_DIR AND LIBPINYIN_LIBRARIES)
 
 find_package(PkgConfig REQUIRED)
-pkg_check_modules(PC_LIBPINYIN "libpinyin>=0.9.91")
+pkg_check_modules(PC_LIBPINYIN "libpinyin>=1.1.91")
 _pkgconfig_invoke("libpinyin" PC_LIBPINYIN LIBPINYININCLUDEDIR "" "--variable=libpinyinincludedir")
 _pkgconfig_invoke("libpinyin" LIBPINYIN PKGDATADIR "" "--variable=pkgdatadir")
 _pkgconfig_invoke("libpinyin" LIBPINYIN EXECPREFIX "" "--variable=exec_prefix")
@@ -38,9 +38,6 @@
                                   LIBPINYIN_LIBRARIES
                                   LIBPINYIN_INCLUDE_DIR
                                   LIBPINYIN_PKGDATADIR
-                                  LIBPINYIN_GEN_BINARY_FILES
-                                  LIBPINYIN_GEN_UNIGRAM
-                                  LIBPINYIN_IMPORT_INTERPOLATION
                                   PC_LIBPINYIN_FOUND
                                   )
 

=== modified file 'config.h.in'
--- config.h.in	2012-05-03 18:07:30 +0000
+++ config.h.in	2015-10-30 09:51:52 +0000
@@ -4,6 +4,7 @@
 #define FCITX4_MAJOR_VERSION @FCITX4_MAJOR_VERSION@
 #define FCITX4_MINOR_VERSION @FCITX4_MINOR_VERSION@
 #define FCITX4_PATCH_VERSION @FCITX4_PATCH_VERSION@
+#cmakedefine LIBPINYIN_TOOLS_FOUND
 
 #define FCITX_CHECK_VERSION(major,minor,micro)    \
     (FCITX4_MAJOR_VERSION > (major) || \

=== modified file 'data/CMakeLists.txt'
--- data/CMakeLists.txt	2014-07-05 19:33:38 +0000
+++ data/CMakeLists.txt	2015-10-30 09:51:52 +0000
@@ -4,6 +4,9 @@
     install(FILES ${icon}.png
             DESTINATION share/fcitx/imicon)
 endforeach()
+
+if (LIBPINYIN_TOOLS_FOUND)
+
 set(_LIBPINYIN_TABLE art gb_char history nature scitech
                      culture gbk_char life society economy geology merged
                      sport)
@@ -17,7 +20,8 @@
 set(ZHUYIN_DATA_FILE_NAME model.text.20130308.tar.gz)
 set(ZHUYIN_URL "http://download.fcitx-im.org/data/${ZHUYIN_DATA_FILE_NAME}")
 set(ZHUYIN_ORGDATA ${_LIBPINYIN_TABLE_FILES} interpolation2.text)
-set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin  pinyin_index.bin)
+set(ZHUYIN_DATA bigram.db ${_LIBPINYIN_BIN_FILES}  phrase_index.bin
+                pinyin_index.bin addon_phrase_index.bin addon_pinyin_index.bin)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/table.conf ${CMAKE_CURRENT_BINARY_DIR}/table.conf COPYONLY)
 
@@ -41,5 +45,9 @@
               ${_LIBPINYIN_GEN_BIN_FILES}
               ${CMAKE_CURRENT_BINARY_DIR}/phrase_index.bin
               ${CMAKE_CURRENT_BINARY_DIR}/pinyin_index.bin
+              ${CMAKE_CURRENT_BINARY_DIR}/addon_phrase_index.bin
+              ${CMAKE_CURRENT_BINARY_DIR}/addon_pinyin_index.bin
               table.conf
         DESTINATION ${FCITX_LIBPINYIN_ZHUYIN_DATADIR})
+
+endif()

=== modified file 'data/table.conf'
--- data/table.conf	2014-07-05 19:33:38 +0000
+++ data/table.conf	2015-10-30 09:51:52 +0000
@@ -1,17 +1,25 @@
 binary format version:3
-model data version:5
+model data version:10
 lambda parameter:0.347121
 
-4 art.table art.bin art.dbin DICTIONARY
-5 culture.table culture.bin culture.dbin DICTIONARY
-6 economy.table economy.bin economy.dbin DICTIONARY
-7 geology.table geology.bin geology.dbin DICTIONARY
-8 history.table history.bin history.dbin DICTIONARY
-
-9 life.table life.bin life.dbin DICTIONARY
-10 nature.table nature.bin nature.dbin DICTIONARY
-11 scitech.table scitech.bin scitech.dbin DICTIONARY
-12 society.table society.bin society.dbin DICTIONARY
-13 sport.table sport.bin sport.dbin DICTIONARY
-
-14 NULL NULL import.bin USER_FILE
\ No newline at end of file
+source table format:pinyin
+
+default RESERVED NULL NULL NULL NOT_USED
+default GB_DICTIONARY gb_char.table gb_char.bin gb_char.dbin SYSTEM_FILE
+default GBK_DICTIONARY gbk_char.table gbk_char.bin gbk_char.dbin SYSTEM_FILE
+default MERGED_DICTIONARY merged.table merged.bin merged.dbin SYSTEM_FILE
+default ADDON_DICTIONARY NULL NULL addon.bin USER_FILE
+default NETWORK_DICTIONARY NULL NULL network.bin USER_FILE
+default USER_DICTIONARY NULL NULL user.bin USER_FILE
+
+addon 4 art.table art.bin NULL DICTIONARY
+addon 5 culture.table culture.bin NULL DICTIONARY
+addon 6 economy.table economy.bin NULL DICTIONARY
+addon 7 geology.table geology.bin NULL DICTIONARY
+addon 8 history.table history.bin NULL DICTIONARY
+
+addon 9 life.table life.bin NULL DICTIONARY
+addon 10 nature.table nature.bin NULL DICTIONARY
+addon 11 scitech.table scitech.bin NULL DICTIONARY
+addon 12 society.table society.bin NULL DICTIONARY
+addon 13 sport.table sport.bin NULL DICTIONARY

=== modified file 'dictmanager/CMakeLists.txt'
--- dictmanager/CMakeLists.txt	2014-07-05 19:33:38 +0000
+++ dictmanager/CMakeLists.txt	2015-10-30 09:51:52 +0000
@@ -60,6 +60,7 @@
 ${FCITX_QT_LIBRARIES}
 ${FCITX4_FCITX_UTILS_LIBRARIES}
 ${FCITX4_FCITX_CONFIG_LIBRARIES}
+${LIBINTL_LIBRARIES}
 )
 
 install(TARGETS fcitx-libpinyin-dictmanager DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== modified file 'dictmanager/browserdialog.cpp'
--- dictmanager/browserdialog.cpp	2014-07-05 19:33:38 +0000
+++ dictmanager/browserdialog.cpp	2015-10-30 09:51:52 +0000
@@ -58,7 +58,7 @@
 
 QString BrowserDialog::decodeName(const QByteArray& in)
 {
-    QTextCodec* codec = QTextCodec::codecForName("GB18030");
+    QTextCodec* codec = QTextCodec::codecForName("UTF-8");
     if (!codec) {
         return QString();
     }

=== modified file 'po/de.po'
--- po/de.po	2014-07-05 19:33:38 +0000
+++ po/de.po	2015-10-30 09:51:52 +0000
@@ -3,16 +3,15 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Translators:
-# mar well <marwell.1980@freenet.de>, 2013
+# mar well <m.wellendorf@gmx.de>, 2013
 msgid ""
 msgstr ""
 "Project-Id-Version: fcitx\n"
 "Report-Msgid-Bugs-To: fcitx-dev@googlegroups.com\n"
-"POT-Creation-Date: 2013-06-29 12:02-0400\n"
-"PO-Revision-Date: 2013-06-28 04:09+0000\n"
-"Last-Translator: Xuetian Weng <wengxt@gmail.com>\n"
-"Language-Team: German (http://www.transifex.com/projects/p/fcitx/language/"
-"de/)\n"
+"POT-Creation-Date: 2015-07-08 18:02+0200\n"
+"PO-Revision-Date: 2015-07-07 22:02+0000\n"
+"Last-Translator: csslayer <wengxt@gmail.com>\n"
+"Language-Team: German (http://www.transifex.com/p/fcitx/language/de/)\n"
 "Language: de\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -22,27 +21,27 @@
 #: dictmanager/filedownloader.cpp:84
 #, kde-format
 msgid "%1% Downloaded."
-msgstr ""
+msgstr "%1% heruntergeladen."
 
-#: dictmanager/dictmanager.cpp:52
+#: dictmanager/dictmanager.cpp:50
 msgid "&Browse Sogou Cell Dictionary Online"
-msgstr ""
+msgstr "&Sogou Mobile Wörterbuchverzeichnis online durchsuchen"
 
-#: dictmanager/dictmanager.cpp:70
+#: dictmanager/dictmanager.cpp:68
 msgid "&Clear Dict"
-msgstr ""
+msgstr "&Wörterbuch löschen"
 
-#: dictmanager/dictmanager.cpp:59
+#: dictmanager/dictmanager.cpp:57
 msgid "&Clear User Data"
-msgstr ""
+msgstr "&Benutzerdaten löschen"
 
-#: dictmanager/dictmanager.cpp:67
+#: dictmanager/dictmanager.cpp:65
 msgid "&Import"
-msgstr ""
+msgstr "&Importieren"
 
-#: dictmanager/dictmanager.cpp:68
+#: dictmanager/dictmanager.cpp:66
 msgid "&Remove"
-msgstr ""
+msgstr "&Entfernen"
 
 #: src/fcitx-libpinyin.desc:61
 msgid "ABC"
@@ -64,54 +63,57 @@
 msgid "An <-> Ang"
 msgstr "An <-> Ang"
 
-#: dictmanager/dictmanager.cpp:207
+#: dictmanager/dictmanager.cpp:231
 #, kde-format
 msgid "Are you sure to delete %1?"
-msgstr ""
+msgstr "Sind Sie sicher %1 zu löschen?"
 
-#: src/fcitx-libpinyin.desc:158
+#: src/fcitx-libpinyin.desc:158 src/fcitx-libpinyin.desc:218
 msgid "Art"
 msgstr "Kunst"
 
-#: src/eim.cpp:860 src/zhuyin-libpinyin.conf.in:3
+#: src/eim.cpp:849 src/zhuyin-libpinyin.conf.in:3
 msgid "Bopomofo (LibPinyin)"
 msgstr "Bopomofo (LibPinyin)"
 
 #: dictmanager/browserdialog.cpp:44
 msgid "Browse Sogou Cell Dict repository"
-msgstr ""
+msgstr "Sogou Mobile Wörterbuchverzeichnis durchsuchen"
 
 #: dictmanager/erroroverlay.cpp:41
 msgid "Cannot connect to Fcitx by DBus, is Fcitx running?"
 msgstr ""
+"Die Verbindung zu fcitx kann von DBus nicht hergestellt werden, läuft fcitx?"
 
 #: src/fcitx-libpinyin.desc:108
 msgid "Ci <-> Chi"
 msgstr "Ci <-> Chi"
 
-#: dictmanager/dictmanager.cpp:60
+#: dictmanager/dictmanager.cpp:58
 msgid "Clear &All Data"
-msgstr ""
+msgstr "löschen &Alle Daten"
 
-#: dictmanager/dictmanager.cpp:206
+#: dictmanager/dictmanager.cpp:230
 msgid "Confirm deletion"
-msgstr ""
+msgstr "Löschen bestätigen"
 
 #: dictmanager/scelconverter.cpp:78
 msgid "Convert failed."
-msgstr ""
+msgstr "Konvertierung fehlgeschlagen."
 
 #: dictmanager/scelconverter.cpp:72
 msgid "Converter crashed."
-msgstr ""
+msgstr "Konverter abgestürzt."
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed"
-msgstr ""
+msgstr "Kopieren der Datei fehlgeschlagen"
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed. Please check you have permission or disk is not full."
 msgstr ""
+"Kopieren der Datei fehlgeschlagen. Bitte überprüfen Sie die "
+"Dateiberechtigungen oder ob die Festplatte voll ist."
 
 #: src/fcitx-libpinyin.desc:67 src/fcitx-libpinyin.desc:72
 #: src/fcitx-libpinyin.desc:77 src/fcitx-libpinyin.desc:82
@@ -122,13 +124,13 @@
 
 #: dictmanager/filedownloader.cpp:40 dictmanager/scelconverter.cpp:43
 msgid "Create temporary file failed."
-msgstr ""
+msgstr "Erstellen des temporären Verzeichnisses fehlgeschlagen"
 
 #: src/fcitx-libpinyin.desc:34
 msgid "Ctrl"
 msgstr "Ctrl"
 
-#: src/fcitx-libpinyin.desc:163
+#: src/fcitx-libpinyin.desc:163 src/fcitx-libpinyin.desc:223
 msgid "Culture"
 msgstr "Kultur"
 
@@ -137,23 +139,32 @@
 #: src/fcitx-libpinyin.desc:172 src/fcitx-libpinyin.desc:177
 #: src/fcitx-libpinyin.desc:182 src/fcitx-libpinyin.desc:187
 #: src/fcitx-libpinyin.desc:192 src/fcitx-libpinyin.desc:197
-#: src/fcitx-libpinyin.desc:202
+#: src/fcitx-libpinyin.desc:202 src/fcitx-libpinyin.desc:207
+#: src/fcitx-libpinyin.desc:212
 msgid "Dictionary"
 msgstr "Wörterbuch"
 
+#: src/fcitx-libpinyin.desc:217 src/fcitx-libpinyin.desc:222
+#: src/fcitx-libpinyin.desc:227 src/fcitx-libpinyin.desc:232
+#: src/fcitx-libpinyin.desc:237 src/fcitx-libpinyin.desc:242
+#: src/fcitx-libpinyin.desc:247 src/fcitx-libpinyin.desc:252
+#: src/fcitx-libpinyin.desc:257 src/fcitx-libpinyin.desc:262
+msgid "Dictionary Zhuyin"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:93
 msgid "Download Finished"
-msgstr ""
+msgstr "Herunterladen abgeschlossen"
 
 #: dictmanager/filedownloader.cpp:56
 msgid "Download started."
-msgstr ""
+msgstr "Herunterladen gestarted."
 
 #: src/fcitx-libpinyin.desc:27
 msgid "ET"
 msgstr "ET"
 
-#: src/fcitx-libpinyin.desc:168
+#: src/fcitx-libpinyin.desc:168 src/fcitx-libpinyin.desc:228
 msgid "Economy"
 msgstr "Ökonomie"
 
@@ -161,30 +172,30 @@
 msgid "En <-> Eng"
 msgstr "En <-> Eng"
 
-#: dictmanager/dictmanager.cpp:215
+#: dictmanager/dictmanager.cpp:239
 #, kde-format
 msgid "Error while deleting %1."
-msgstr ""
+msgstr "Fehler beim Löschen von %1"
 
 #: dictmanager/filedownloader.cpp:52
 msgid "Failed to create request."
-msgstr ""
+msgstr "Anforderung fehlgeschlagen."
 
-#: dictmanager/dictmanager.cpp:214
+#: dictmanager/dictmanager.cpp:238
 msgid "File Operation Failed"
-msgstr ""
+msgstr "Dateioperation fehlgeschlagen"
 
 #: src/fcitx-libpinyin.desc:128
 msgid "Fo <-> He"
 msgstr "Fo <-> He"
 
-#: dictmanager/dictmanager.cpp:50
+#: dictmanager/dictmanager.cpp:48
 msgid "From &File"
-msgstr ""
+msgstr "Von &Datei"
 
-#: dictmanager/dictmanager.cpp:51
+#: dictmanager/dictmanager.cpp:49
 msgid "From &Sogou Cell Dictionary File"
-msgstr ""
+msgstr "Von &Sogou Mobile Wörterbuchdatei"
 
 #: src/fcitx-libpinyin.desc:73
 msgid "GN -> NG"
@@ -194,7 +205,7 @@
 msgid "Ge <-> Ke"
 msgstr "Ge <-> Ke"
 
-#: src/fcitx-libpinyin.desc:173
+#: src/fcitx-libpinyin.desc:173 src/fcitx-libpinyin.desc:233
 msgid "Geology"
 msgstr "Geologie"
 
@@ -202,7 +213,7 @@
 msgid "GinYieh"
 msgstr "GinYieh"
 
-#: src/fcitx-libpinyin.desc:178
+#: src/fcitx-libpinyin.desc:178 src/fcitx-libpinyin.desc:238
 msgid "History"
 msgstr "Geschichte"
 
@@ -218,9 +229,9 @@
 msgid "In <-> Ing"
 msgstr "In <-> Ing"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "Input Dictionary Name"
-msgstr ""
+msgstr "Wörterbuchnamen eingeben"
 
 #: src/fcitx-libpinyin.desc:133
 msgid "Le <-> Ri"
@@ -234,23 +245,23 @@
 msgid "LibPinyin Wrapper For Fcitx"
 msgstr "LibPinyin Wrapper für Fcitx"
 
-#: src/fcitx-libpinyin.desc:183
+#: src/fcitx-libpinyin.desc:183 src/fcitx-libpinyin.desc:243
 msgid "Life"
-msgstr ""
+msgstr "Life"
 
 #: src/fcitx-libpinyin.desc:78
 msgid "MG -> NG"
 msgstr "MG -> NG"
 
-#: dictmanager/dictmanager.cpp:48
+#: dictmanager/dictmanager.cpp:113
 msgid "Manage Pinyin Dictionary"
-msgstr ""
+msgstr "Pinyin Wörterbuch verwalten"
 
 #: src/fcitx-libpinyin.desc:59
 msgid "Microsoft"
 msgstr "Microsoft"
 
-#: src/fcitx-libpinyin.desc:188
+#: src/fcitx-libpinyin.desc:188 src/fcitx-libpinyin.desc:248
 msgid "Nature"
 msgstr "Natur"
 
@@ -258,23 +269,29 @@
 msgid "Ne <-> Le"
 msgstr "Ne <-> Le"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "New Dictionary Name:"
-msgstr ""
+msgstr "Neuer Wörterbuchname:"
 
 #: dictmanager/browserdialog.cpp:92
 msgid "No browsing outside pinyin.sogou.com, now redirect to home page."
 msgstr ""
+"Browsen außerhalb von pinyin.sogou.com nicht möglich. Sie werden zur "
+"Homepage umgeleitet."
 
 #: src/fcitx-libpinyin.desc:103
 msgid "ON -> ONG"
 msgstr "ON -> ONG"
 
+#: src/fcitx-libpinyin.desc:193
+msgid "People"
+msgstr ""
+
 #: src/fcitx-libpinyin.desc:1 src/fcitx-libpinyin.desc:6
 msgid "Pinyin"
 msgstr "Pinyin"
 
-#: src/eim.cpp:826 src/pinyin-libpinyin.conf.in:3
+#: src/eim.cpp:815 src/pinyin-libpinyin.conf.in:3
 msgid "Pinyin (LibPinyin)"
 msgstr "Pinyin (LibPinyin)"
 
@@ -282,29 +299,33 @@
 msgid "PinyinJiaJia"
 msgstr "PinyinJiaJia"
 
-#: dictmanager/dictmanager.cpp:69
+#: dictmanager/dictmanager.cpp:67
 msgid "Remove &All"
-msgstr ""
+msgstr "entferne &Alle"
 
-#: dictmanager/scelconverter.cpp:89
+#: dictmanager/scelconverter.cpp:90
 msgid "Rename failed."
-msgstr ""
+msgstr "Umbennen fehlgeschlagen."
 
-#: dictmanager/dictmanager.cpp:145
+#: dictmanager/dictmanager.cpp:169
 msgid "Scel file (*.scel)"
+msgstr "scel-Datei (*.scel)"
+
+#: src/fcitx-libpinyin.desc:198
+msgid "Science"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:193
+#: src/fcitx-libpinyin.desc:253
 msgid "Science & Technology"
 msgstr "Wissenschaft und Technik"
 
-#: dictmanager/dictmanager.cpp:110
+#: dictmanager/dictmanager.cpp:133
 msgid "Select Dictionary File"
-msgstr ""
+msgstr "Wörterbuchdatei auswählen"
 
-#: dictmanager/dictmanager.cpp:143
+#: dictmanager/dictmanager.cpp:167
 msgid "Select scel file"
-msgstr ""
+msgstr "scel-Datei auswählen"
 
 #: src/fcitx-libpinyin.desc:36
 msgid "Shift"
@@ -314,7 +335,7 @@
 msgid "Shuangpin"
 msgstr "Shuangpin"
 
-#: src/eim.cpp:843 src/shuangpin-libpinyin.conf.in:3
+#: src/eim.cpp:832 src/shuangpin-libpinyin.conf.in:3
 msgid "Shuangpin (LibPinyin)"
 msgstr "Shuangpin (LibPinyin)"
 
@@ -326,11 +347,11 @@
 msgid "Si <-> Shi"
 msgstr "Si <-> Shi"
 
-#: src/fcitx-libpinyin.desc:198
+#: src/fcitx-libpinyin.desc:203 src/fcitx-libpinyin.desc:258
 msgid "Society"
 msgstr "Gesellschaft"
 
-#: src/fcitx-libpinyin.desc:203
+#: src/fcitx-libpinyin.desc:208 src/fcitx-libpinyin.desc:263
 msgid "Sport"
 msgstr "Sport"
 
@@ -338,9 +359,13 @@
 msgid "Standard"
 msgstr "Standard"
 
+#: src/fcitx-libpinyin.desc:213
+msgid "Technology"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:44 dictmanager/scelconverter.cpp:47
 msgid "Temporary file created."
-msgstr ""
+msgstr "Temporäre Datei erstellt."
 
 #: src/fcitx-libpinyin.desc:98
 msgid "UE -> VE"
@@ -365,7 +390,7 @@
 #: src/fcitx-libpinyin.desc:51
 msgid "Use Simplified Chinese Data for Zhuyin (Need Restart)"
 msgstr ""
-"Verinfachtes Chinesisch für Zhuyin benutzen (Erfordert Neustart von Fcitx)"
+"Vereinfachtes Chinesisch für Zhuyin benutzen (Erfordert Neustart von Fcitx)"
 
 #: src/fcitx-libpinyin.desc:12
 msgid "Use Tone"
@@ -383,7 +408,7 @@
 
 #: dictmanager/browserdialog.cpp:91
 msgid "Wrong Link"
-msgstr ""
+msgstr "Falscher Link"
 
 #: src/fcitx-libpinyin.desc:63
 msgid "XiaoHe"

=== modified file 'po/fcitx-libpinyin.pot'
--- po/fcitx-libpinyin.pot	2014-07-05 19:33:38 +0000
+++ po/fcitx-libpinyin.pot	2015-10-30 09:51:52 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: fcitx-dev@googlegroups.com\n"
-"POT-Creation-Date: 2013-06-29 12:02-0400\n"
+"POT-Creation-Date: 2015-07-08 00:02+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -30,87 +30,87 @@
 msgstr ""
 
 #: dictmanager/dictmanager.cpp:48
-msgid "Manage Pinyin Dictionary"
-msgstr ""
-
-#: dictmanager/dictmanager.cpp:50
 msgid "From &File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:51
+#: dictmanager/dictmanager.cpp:49
 msgid "From &Sogou Cell Dictionary File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:52
+#: dictmanager/dictmanager.cpp:50
 msgid "&Browse Sogou Cell Dictionary Online"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:59
+#: dictmanager/dictmanager.cpp:57
 msgid "&Clear User Data"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:60
+#: dictmanager/dictmanager.cpp:58
 msgid "Clear &All Data"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:67
+#: dictmanager/dictmanager.cpp:65
 msgid "&Import"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:68
+#: dictmanager/dictmanager.cpp:66
 msgid "&Remove"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:69
+#: dictmanager/dictmanager.cpp:67
 msgid "Remove &All"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:70
+#: dictmanager/dictmanager.cpp:68
 msgid "&Clear Dict"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:110
+#: dictmanager/dictmanager.cpp:113
+msgid "Manage Pinyin Dictionary"
+msgstr ""
+
+#: dictmanager/dictmanager.cpp:133
 msgid "Select Dictionary File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "Input Dictionary Name"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "New Dictionary Name:"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed. Please check you have permission or disk is not full."
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:143
+#: dictmanager/dictmanager.cpp:167
 msgid "Select scel file"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:145
+#: dictmanager/dictmanager.cpp:169
 msgid "Scel file (*.scel)"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:206
+#: dictmanager/dictmanager.cpp:230
 msgid "Confirm deletion"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:207
+#: dictmanager/dictmanager.cpp:231
 #, kde-format
 msgid "Are you sure to delete %1?"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:214
+#: dictmanager/dictmanager.cpp:238
 msgid "File Operation Failed"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:215
+#: dictmanager/dictmanager.cpp:239
 #, kde-format
 msgid "Error while deleting %1."
 msgstr ""
@@ -152,19 +152,19 @@
 msgid "Convert failed."
 msgstr ""
 
-#: dictmanager/scelconverter.cpp:89
+#: dictmanager/scelconverter.cpp:90
 msgid "Rename failed."
 msgstr ""
 
-#: src/eim.cpp:826 src/pinyin-libpinyin.conf.in:3
+#: src/eim.cpp:815 src/pinyin-libpinyin.conf.in:3
 msgid "Pinyin (LibPinyin)"
 msgstr ""
 
-#: src/eim.cpp:843 src/shuangpin-libpinyin.conf.in:3
+#: src/eim.cpp:832 src/shuangpin-libpinyin.conf.in:3
 msgid "Shuangpin (LibPinyin)"
 msgstr ""
 
-#: src/eim.cpp:860 src/zhuyin-libpinyin.conf.in:3
+#: src/eim.cpp:849 src/zhuyin-libpinyin.conf.in:3
 msgid "Bopomofo (LibPinyin)"
 msgstr ""
 
@@ -181,7 +181,8 @@
 #: src/fcitx-libpinyin.desc:172 src/fcitx-libpinyin.desc:177
 #: src/fcitx-libpinyin.desc:182 src/fcitx-libpinyin.desc:187
 #: src/fcitx-libpinyin.desc:192 src/fcitx-libpinyin.desc:197
-#: src/fcitx-libpinyin.desc:202
+#: src/fcitx-libpinyin.desc:202 src/fcitx-libpinyin.desc:207
+#: src/fcitx-libpinyin.desc:212
 msgid "Dictionary"
 msgstr ""
 
@@ -379,42 +380,62 @@
 msgid "In <-> Ing"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:158
+#: src/fcitx-libpinyin.desc:158 src/fcitx-libpinyin.desc:218
 msgid "Art"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:163
+#: src/fcitx-libpinyin.desc:163 src/fcitx-libpinyin.desc:223
 msgid "Culture"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:168
+#: src/fcitx-libpinyin.desc:168 src/fcitx-libpinyin.desc:228
 msgid "Economy"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:173
+#: src/fcitx-libpinyin.desc:173 src/fcitx-libpinyin.desc:233
 msgid "Geology"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:178
+#: src/fcitx-libpinyin.desc:178 src/fcitx-libpinyin.desc:238
 msgid "History"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:183
+#: src/fcitx-libpinyin.desc:183 src/fcitx-libpinyin.desc:243
 msgid "Life"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:188
+#: src/fcitx-libpinyin.desc:188 src/fcitx-libpinyin.desc:248
 msgid "Nature"
 msgstr ""
 
 #: src/fcitx-libpinyin.desc:193
-msgid "Science & Technology"
+msgid "People"
 msgstr ""
 
 #: src/fcitx-libpinyin.desc:198
+msgid "Science"
+msgstr ""
+
+#: src/fcitx-libpinyin.desc:203 src/fcitx-libpinyin.desc:258
 msgid "Society"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:203
+#: src/fcitx-libpinyin.desc:208 src/fcitx-libpinyin.desc:263
 msgid "Sport"
 msgstr ""
+
+#: src/fcitx-libpinyin.desc:213
+msgid "Technology"
+msgstr ""
+
+#: src/fcitx-libpinyin.desc:217 src/fcitx-libpinyin.desc:222
+#: src/fcitx-libpinyin.desc:227 src/fcitx-libpinyin.desc:232
+#: src/fcitx-libpinyin.desc:237 src/fcitx-libpinyin.desc:242
+#: src/fcitx-libpinyin.desc:247 src/fcitx-libpinyin.desc:252
+#: src/fcitx-libpinyin.desc:257 src/fcitx-libpinyin.desc:262
+msgid "Dictionary Zhuyin"
+msgstr ""
+
+#: src/fcitx-libpinyin.desc:253
+msgid "Science & Technology"
+msgstr ""

=== modified file 'po/ja.po'
--- po/ja.po	2014-07-05 19:33:38 +0000
+++ po/ja.po	2015-10-30 09:51:52 +0000
@@ -3,16 +3,16 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Translators:
-# しろう, 2013
+# WAKAYAMA Shirou <shirou.faw@gmail.com>, 2013
+# WAKAYAMA Shirou <shirou.faw@gmail.com>, 2013
 msgid ""
 msgstr ""
 "Project-Id-Version: fcitx\n"
 "Report-Msgid-Bugs-To: fcitx-dev@googlegroups.com\n"
-"POT-Creation-Date: 2013-06-29 12:02-0400\n"
-"PO-Revision-Date: 2013-06-28 04:09+0000\n"
-"Last-Translator: Xuetian Weng <wengxt@gmail.com>\n"
-"Language-Team: Japanese (http://www.transifex.com/projects/p/fcitx/language/"
-"ja/)\n"
+"POT-Creation-Date: 2015-07-08 18:02+0200\n"
+"PO-Revision-Date: 2015-07-07 22:02+0000\n"
+"Last-Translator: csslayer <wengxt@gmail.com>\n"
+"Language-Team: Japanese (http://www.transifex.com/p/fcitx/language/ja/)\n"
 "Language: ja\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -22,25 +22,25 @@
 #: dictmanager/filedownloader.cpp:84
 #, kde-format
 msgid "%1% Downloaded."
-msgstr ""
+msgstr "%1%ダウンロード済み。"
 
-#: dictmanager/dictmanager.cpp:52
+#: dictmanager/dictmanager.cpp:50
 msgid "&Browse Sogou Cell Dictionary Online"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:70
+#: dictmanager/dictmanager.cpp:68
 msgid "&Clear Dict"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:59
+#: dictmanager/dictmanager.cpp:57
 msgid "&Clear User Data"
-msgstr ""
+msgstr "ユーザーデータを消去 (&C)"
 
-#: dictmanager/dictmanager.cpp:67
+#: dictmanager/dictmanager.cpp:65
 msgid "&Import"
-msgstr ""
+msgstr "インポート (&I)"
 
-#: dictmanager/dictmanager.cpp:68
+#: dictmanager/dictmanager.cpp:66
 msgid "&Remove"
 msgstr ""
 
@@ -64,16 +64,16 @@
 msgid "An <-> Ang"
 msgstr "An <-> Ang"
 
-#: dictmanager/dictmanager.cpp:207
+#: dictmanager/dictmanager.cpp:231
 #, kde-format
 msgid "Are you sure to delete %1?"
-msgstr ""
+msgstr "本当に %1 を削除しますか?"
 
-#: src/fcitx-libpinyin.desc:158
+#: src/fcitx-libpinyin.desc:158 src/fcitx-libpinyin.desc:218
 msgid "Art"
 msgstr "芸術"
 
-#: src/eim.cpp:860 src/zhuyin-libpinyin.conf.in:3
+#: src/eim.cpp:849 src/zhuyin-libpinyin.conf.in:3
 msgid "Bopomofo (LibPinyin)"
 msgstr "Bopomofo (LibPinyin)"
 
@@ -83,35 +83,37 @@
 
 #: dictmanager/erroroverlay.cpp:41
 msgid "Cannot connect to Fcitx by DBus, is Fcitx running?"
-msgstr ""
+msgstr "FcitxにDBusでつなげません。Fcitxは動作していますか?"
 
 #: src/fcitx-libpinyin.desc:108
 msgid "Ci <-> Chi"
 msgstr "Ci <-> Chi"
 
-#: dictmanager/dictmanager.cpp:60
+#: dictmanager/dictmanager.cpp:58
 msgid "Clear &All Data"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:206
+#: dictmanager/dictmanager.cpp:230
 msgid "Confirm deletion"
-msgstr ""
+msgstr "削除の確認"
 
 #: dictmanager/scelconverter.cpp:78
 msgid "Convert failed."
-msgstr ""
+msgstr "コンバートに失敗しました。"
 
 #: dictmanager/scelconverter.cpp:72
 msgid "Converter crashed."
-msgstr ""
+msgstr "コンバーターがクラッシュしました。"
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed"
-msgstr ""
+msgstr "ファイルコピー失敗"
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed. Please check you have permission or disk is not full."
 msgstr ""
+"ファイルのコピーに失敗しました。権限やディスクがいっぱいでないかなどを確認し"
+"てください。"
 
 #: src/fcitx-libpinyin.desc:67 src/fcitx-libpinyin.desc:72
 #: src/fcitx-libpinyin.desc:77 src/fcitx-libpinyin.desc:82
@@ -122,13 +124,13 @@
 
 #: dictmanager/filedownloader.cpp:40 dictmanager/scelconverter.cpp:43
 msgid "Create temporary file failed."
-msgstr ""
+msgstr "一時ファイルの作成に失敗しました。"
 
 #: src/fcitx-libpinyin.desc:34
 msgid "Ctrl"
 msgstr "Ctrl"
 
-#: src/fcitx-libpinyin.desc:163
+#: src/fcitx-libpinyin.desc:163 src/fcitx-libpinyin.desc:223
 msgid "Culture"
 msgstr "文化"
 
@@ -137,23 +139,32 @@
 #: src/fcitx-libpinyin.desc:172 src/fcitx-libpinyin.desc:177
 #: src/fcitx-libpinyin.desc:182 src/fcitx-libpinyin.desc:187
 #: src/fcitx-libpinyin.desc:192 src/fcitx-libpinyin.desc:197
-#: src/fcitx-libpinyin.desc:202
+#: src/fcitx-libpinyin.desc:202 src/fcitx-libpinyin.desc:207
+#: src/fcitx-libpinyin.desc:212
 msgid "Dictionary"
 msgstr "辞書"
 
+#: src/fcitx-libpinyin.desc:217 src/fcitx-libpinyin.desc:222
+#: src/fcitx-libpinyin.desc:227 src/fcitx-libpinyin.desc:232
+#: src/fcitx-libpinyin.desc:237 src/fcitx-libpinyin.desc:242
+#: src/fcitx-libpinyin.desc:247 src/fcitx-libpinyin.desc:252
+#: src/fcitx-libpinyin.desc:257 src/fcitx-libpinyin.desc:262
+msgid "Dictionary Zhuyin"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:93
 msgid "Download Finished"
-msgstr ""
+msgstr "ダウンロード完了"
 
 #: dictmanager/filedownloader.cpp:56
 msgid "Download started."
-msgstr ""
+msgstr "ダウンロードを開始しました。"
 
 #: src/fcitx-libpinyin.desc:27
 msgid "ET"
 msgstr "ET"
 
-#: src/fcitx-libpinyin.desc:168
+#: src/fcitx-libpinyin.desc:168 src/fcitx-libpinyin.desc:228
 msgid "Economy"
 msgstr "経済"
 
@@ -161,28 +172,28 @@
 msgid "En <-> Eng"
 msgstr "En <-> Eng"
 
-#: dictmanager/dictmanager.cpp:215
+#: dictmanager/dictmanager.cpp:239
 #, kde-format
 msgid "Error while deleting %1."
-msgstr ""
+msgstr "%1 を削除中にエラーが起きました。"
 
 #: dictmanager/filedownloader.cpp:52
 msgid "Failed to create request."
-msgstr ""
+msgstr "リクエストの作成に失敗しました。"
 
-#: dictmanager/dictmanager.cpp:214
+#: dictmanager/dictmanager.cpp:238
 msgid "File Operation Failed"
-msgstr ""
+msgstr "ファイル処理に失敗しました"
 
 #: src/fcitx-libpinyin.desc:128
 msgid "Fo <-> He"
 msgstr "Fo <-> He"
 
-#: dictmanager/dictmanager.cpp:50
+#: dictmanager/dictmanager.cpp:48
 msgid "From &File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:51
+#: dictmanager/dictmanager.cpp:49
 msgid "From &Sogou Cell Dictionary File"
 msgstr ""
 
@@ -194,7 +205,7 @@
 msgid "Ge <-> Ke"
 msgstr "Ge <-> Ke"
 
-#: src/fcitx-libpinyin.desc:173
+#: src/fcitx-libpinyin.desc:173 src/fcitx-libpinyin.desc:233
 msgid "Geology"
 msgstr "地理"
 
@@ -202,7 +213,7 @@
 msgid "GinYieh"
 msgstr "GinYieh"
 
-#: src/fcitx-libpinyin.desc:178
+#: src/fcitx-libpinyin.desc:178 src/fcitx-libpinyin.desc:238
 msgid "History"
 msgstr "歴史"
 
@@ -218,9 +229,9 @@
 msgid "In <-> Ing"
 msgstr "In <-> Ing"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "Input Dictionary Name"
-msgstr ""
+msgstr "辞書名を入力してください"
 
 #: src/fcitx-libpinyin.desc:133
 msgid "Le <-> Ri"
@@ -234,7 +245,7 @@
 msgid "LibPinyin Wrapper For Fcitx"
 msgstr "Fcitx 用 LibPinyin ラッパー"
 
-#: src/fcitx-libpinyin.desc:183
+#: src/fcitx-libpinyin.desc:183 src/fcitx-libpinyin.desc:243
 msgid "Life"
 msgstr "生活"
 
@@ -242,15 +253,15 @@
 msgid "MG -> NG"
 msgstr "MG -> NG"
 
-#: dictmanager/dictmanager.cpp:48
+#: dictmanager/dictmanager.cpp:113
 msgid "Manage Pinyin Dictionary"
-msgstr ""
+msgstr "Pinyinディレクトリの管理"
 
 #: src/fcitx-libpinyin.desc:59
 msgid "Microsoft"
 msgstr "Microsoft"
 
-#: src/fcitx-libpinyin.desc:188
+#: src/fcitx-libpinyin.desc:188 src/fcitx-libpinyin.desc:248
 msgid "Nature"
 msgstr "自然"
 
@@ -258,23 +269,28 @@
 msgid "Ne <-> Le"
 msgstr "Ne <-> Le"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "New Dictionary Name:"
-msgstr ""
+msgstr "新しい辞書名:"
 
 #: dictmanager/browserdialog.cpp:92
 msgid "No browsing outside pinyin.sogou.com, now redirect to home page."
 msgstr ""
+"pinyin.sogou.com 以外は表示できません。ホームページにリダイレクトします。"
 
 #: src/fcitx-libpinyin.desc:103
 msgid "ON -> ONG"
 msgstr "ON -> ONG"
 
+#: src/fcitx-libpinyin.desc:193
+msgid "People"
+msgstr ""
+
 #: src/fcitx-libpinyin.desc:1 src/fcitx-libpinyin.desc:6
 msgid "Pinyin"
 msgstr "Pinyin"
 
-#: src/eim.cpp:826 src/pinyin-libpinyin.conf.in:3
+#: src/eim.cpp:815 src/pinyin-libpinyin.conf.in:3
 msgid "Pinyin (LibPinyin)"
 msgstr "Pinyin (LibPinyin)"
 
@@ -282,27 +298,31 @@
 msgid "PinyinJiaJia"
 msgstr "PinyinJiaJia"
 
-#: dictmanager/dictmanager.cpp:69
+#: dictmanager/dictmanager.cpp:67
 msgid "Remove &All"
 msgstr ""
 
-#: dictmanager/scelconverter.cpp:89
+#: dictmanager/scelconverter.cpp:90
 msgid "Rename failed."
-msgstr ""
+msgstr "名前の変更に失敗しました。"
 
-#: dictmanager/dictmanager.cpp:145
+#: dictmanager/dictmanager.cpp:169
 msgid "Scel file (*.scel)"
+msgstr "Scel ファイル (*.scel)"
+
+#: src/fcitx-libpinyin.desc:198
+msgid "Science"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:193
+#: src/fcitx-libpinyin.desc:253
 msgid "Science & Technology"
 msgstr "科学技術"
 
-#: dictmanager/dictmanager.cpp:110
+#: dictmanager/dictmanager.cpp:133
 msgid "Select Dictionary File"
-msgstr ""
+msgstr "辞書ファイルの選択"
 
-#: dictmanager/dictmanager.cpp:143
+#: dictmanager/dictmanager.cpp:167
 msgid "Select scel file"
 msgstr ""
 
@@ -314,7 +334,7 @@
 msgid "Shuangpin"
 msgstr "Shuangpin"
 
-#: src/eim.cpp:843 src/shuangpin-libpinyin.conf.in:3
+#: src/eim.cpp:832 src/shuangpin-libpinyin.conf.in:3
 msgid "Shuangpin (LibPinyin)"
 msgstr "Shuangpin (LibPinyin)"
 
@@ -326,11 +346,11 @@
 msgid "Si <-> Shi"
 msgstr "Si <-> Shi"
 
-#: src/fcitx-libpinyin.desc:198
+#: src/fcitx-libpinyin.desc:203 src/fcitx-libpinyin.desc:258
 msgid "Society"
 msgstr "社会"
 
-#: src/fcitx-libpinyin.desc:203
+#: src/fcitx-libpinyin.desc:208 src/fcitx-libpinyin.desc:263
 msgid "Sport"
 msgstr "スポーツ"
 
@@ -338,9 +358,13 @@
 msgid "Standard"
 msgstr "スタンダード"
 
+#: src/fcitx-libpinyin.desc:213
+msgid "Technology"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:44 dictmanager/scelconverter.cpp:47
 msgid "Temporary file created."
-msgstr ""
+msgstr "一時ファイルを作成しました。"
 
 #: src/fcitx-libpinyin.desc:98
 msgid "UE -> VE"

=== modified file 'po/zh_CN.po'
--- po/zh_CN.po	2014-07-05 19:33:38 +0000
+++ po/zh_CN.po	2015-10-30 09:51:52 +0000
@@ -3,17 +3,18 @@
 # This file is distributed under the same license as the PACKAGE package.
 #
 # Translators:
-# Xuetian Weng <wengxt@gmail.com>, 2013
-# Xuetian Weng <wengxt@gmail.com>, 2010-2013
+# csslayer <wengxt@gmail.com>, 2013,2015
+# csslayer <wengxt@gmail.com>, 2010-2013
 # wwj402 <wwj402@gmail.com>, 2013
 msgid ""
 msgstr ""
 "Project-Id-Version: fcitx\n"
 "Report-Msgid-Bugs-To: fcitx-dev@googlegroups.com\n"
-"POT-Creation-Date: 2013-06-29 18:02-0400\n"
-"PO-Revision-Date: 2013-06-29 19:48+0000\n"
-"Last-Translator: Xuetian Weng <wengxt@gmail.com>\n"
-"Language-Team: Chinese (China) <fcitx-dev@googlegroups.com>\n"
+"POT-Creation-Date: 2015-07-08 18:02+0200\n"
+"PO-Revision-Date: 2015-07-07 23:22+0000\n"
+"Last-Translator: csslayer <wengxt@gmail.com>\n"
+"Language-Team: Chinese (China) (http://www.transifex.com/p/fcitx/language/"
+"zh_CN/)\n"
 "Language: zh_CN\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -65,16 +66,16 @@
 msgid "An <-> Ang"
 msgstr "An <-> Ang"
 
-#: dictmanager/dictmanager.cpp:230
+#: dictmanager/dictmanager.cpp:231
 #, kde-format
 msgid "Are you sure to delete %1?"
 msgstr "您确定要删除 %1？"
 
-#: src/fcitx-libpinyin.desc:158
+#: src/fcitx-libpinyin.desc:158 src/fcitx-libpinyin.desc:218
 msgid "Art"
 msgstr "艺术"
 
-#: src/eim.cpp:860 src/zhuyin-libpinyin.conf.in:3
+#: src/eim.cpp:849 src/zhuyin-libpinyin.conf.in:3
 msgid "Bopomofo (LibPinyin)"
 msgstr "注音 (LibPinyin)"
 
@@ -94,7 +95,7 @@
 msgid "Clear &All Data"
 msgstr "清理所有数据(&A)"
 
-#: dictmanager/dictmanager.cpp:229
+#: dictmanager/dictmanager.cpp:230
 msgid "Confirm deletion"
 msgstr "确认删除"
 
@@ -106,11 +107,11 @@
 msgid "Converter crashed."
 msgstr "转换器崩溃。"
 
-#: dictmanager/dictmanager.cpp:154
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed"
 msgstr "复制文件失败"
 
-#: dictmanager/dictmanager.cpp:154
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed. Please check you have permission or disk is not full."
 msgstr "复制文件失败。请检查是否有权限或者磁盘是否已满。"
 
@@ -129,7 +130,7 @@
 msgid "Ctrl"
 msgstr "Ctrl"
 
-#: src/fcitx-libpinyin.desc:163
+#: src/fcitx-libpinyin.desc:163 src/fcitx-libpinyin.desc:223
 msgid "Culture"
 msgstr "文化"
 
@@ -138,10 +139,19 @@
 #: src/fcitx-libpinyin.desc:172 src/fcitx-libpinyin.desc:177
 #: src/fcitx-libpinyin.desc:182 src/fcitx-libpinyin.desc:187
 #: src/fcitx-libpinyin.desc:192 src/fcitx-libpinyin.desc:197
-#: src/fcitx-libpinyin.desc:202
+#: src/fcitx-libpinyin.desc:202 src/fcitx-libpinyin.desc:207
+#: src/fcitx-libpinyin.desc:212
 msgid "Dictionary"
 msgstr "词典"
 
+#: src/fcitx-libpinyin.desc:217 src/fcitx-libpinyin.desc:222
+#: src/fcitx-libpinyin.desc:227 src/fcitx-libpinyin.desc:232
+#: src/fcitx-libpinyin.desc:237 src/fcitx-libpinyin.desc:242
+#: src/fcitx-libpinyin.desc:247 src/fcitx-libpinyin.desc:252
+#: src/fcitx-libpinyin.desc:257 src/fcitx-libpinyin.desc:262
+msgid "Dictionary Zhuyin"
+msgstr "注音词典"
+
 #: dictmanager/filedownloader.cpp:93
 msgid "Download Finished"
 msgstr "下载已完成"
@@ -154,7 +164,7 @@
 msgid "ET"
 msgstr "倚天"
 
-#: src/fcitx-libpinyin.desc:168
+#: src/fcitx-libpinyin.desc:168 src/fcitx-libpinyin.desc:228
 msgid "Economy"
 msgstr "经济"
 
@@ -162,7 +172,7 @@
 msgid "En <-> Eng"
 msgstr "En <-> Eng"
 
-#: dictmanager/dictmanager.cpp:238
+#: dictmanager/dictmanager.cpp:239
 #, kde-format
 msgid "Error while deleting %1."
 msgstr "删除 %1 时出错。"
@@ -171,7 +181,7 @@
 msgid "Failed to create request."
 msgstr "创建请求失败。"
 
-#: dictmanager/dictmanager.cpp:237
+#: dictmanager/dictmanager.cpp:238
 msgid "File Operation Failed"
 msgstr "文件操作失败"
 
@@ -195,7 +205,7 @@
 msgid "Ge <-> Ke"
 msgstr "Ge <-> Ke"
 
-#: src/fcitx-libpinyin.desc:173
+#: src/fcitx-libpinyin.desc:173 src/fcitx-libpinyin.desc:233
 msgid "Geology"
 msgstr "地理"
 
@@ -203,7 +213,7 @@
 msgid "GinYieh"
 msgstr "精业"
 
-#: src/fcitx-libpinyin.desc:178
+#: src/fcitx-libpinyin.desc:178 src/fcitx-libpinyin.desc:238
 msgid "History"
 msgstr "历史"
 
@@ -219,7 +229,7 @@
 msgid "In <-> Ing"
 msgstr "In <-> Ing"
 
-#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:182
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "Input Dictionary Name"
 msgstr "输入词典名称"
 
@@ -235,7 +245,7 @@
 msgid "LibPinyin Wrapper For Fcitx"
 msgstr "Fcitx 的 LibPinyin 封装"
 
-#: src/fcitx-libpinyin.desc:183
+#: src/fcitx-libpinyin.desc:183 src/fcitx-libpinyin.desc:243
 msgid "Life"
 msgstr "生活"
 
@@ -251,7 +261,7 @@
 msgid "Microsoft"
 msgstr "微软"
 
-#: src/fcitx-libpinyin.desc:188
+#: src/fcitx-libpinyin.desc:188 src/fcitx-libpinyin.desc:248
 msgid "Nature"
 msgstr "自然"
 
@@ -259,7 +269,7 @@
 msgid "Ne <-> Le"
 msgstr "Ne <-> Le"
 
-#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:182
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "New Dictionary Name:"
 msgstr "新词典名称："
 
@@ -271,11 +281,15 @@
 msgid "ON -> ONG"
 msgstr "ON -> ONG"
 
+#: src/fcitx-libpinyin.desc:193
+msgid "People"
+msgstr "人文"
+
 #: src/fcitx-libpinyin.desc:1 src/fcitx-libpinyin.desc:6
 msgid "Pinyin"
 msgstr "拼音"
 
-#: src/eim.cpp:826 src/pinyin-libpinyin.conf.in:3
+#: src/eim.cpp:815 src/pinyin-libpinyin.conf.in:3
 msgid "Pinyin (LibPinyin)"
 msgstr "拼音 (LibPinyin)"
 
@@ -287,15 +301,19 @@
 msgid "Remove &All"
 msgstr "移除全部(&A)"
 
-#: dictmanager/scelconverter.cpp:89
+#: dictmanager/scelconverter.cpp:90
 msgid "Rename failed."
 msgstr "重命名失败。"
 
-#: dictmanager/dictmanager.cpp:168
+#: dictmanager/dictmanager.cpp:169
 msgid "Scel file (*.scel)"
 msgstr "Scel 文件 (*.scel)"
 
-#: src/fcitx-libpinyin.desc:193
+#: src/fcitx-libpinyin.desc:198
+msgid "Science"
+msgstr "科学"
+
+#: src/fcitx-libpinyin.desc:253
 msgid "Science & Technology"
 msgstr "科学技术"
 
@@ -303,7 +321,7 @@
 msgid "Select Dictionary File"
 msgstr "选择词典文件"
 
-#: dictmanager/dictmanager.cpp:166
+#: dictmanager/dictmanager.cpp:167
 msgid "Select scel file"
 msgstr "选择 scel 文件"
 
@@ -315,7 +333,7 @@
 msgid "Shuangpin"
 msgstr "双拼"
 
-#: src/eim.cpp:843 src/shuangpin-libpinyin.conf.in:3
+#: src/eim.cpp:832 src/shuangpin-libpinyin.conf.in:3
 msgid "Shuangpin (LibPinyin)"
 msgstr "双拼 (LibPinyin)"
 
@@ -327,11 +345,11 @@
 msgid "Si <-> Shi"
 msgstr "Si <-> Shi"
 
-#: src/fcitx-libpinyin.desc:198
+#: src/fcitx-libpinyin.desc:203 src/fcitx-libpinyin.desc:258
 msgid "Society"
 msgstr "社会"
 
-#: src/fcitx-libpinyin.desc:203
+#: src/fcitx-libpinyin.desc:208 src/fcitx-libpinyin.desc:263
 msgid "Sport"
 msgstr "运动"
 
@@ -339,6 +357,10 @@
 msgid "Standard"
 msgstr "标准"
 
+#: src/fcitx-libpinyin.desc:213
+msgid "Technology"
+msgstr "技术"
+
 #: dictmanager/filedownloader.cpp:44 dictmanager/scelconverter.cpp:47
 msgid "Temporary file created."
 msgstr "已创建临时文件。"

=== modified file 'po/zh_TW.po'
--- po/zh_TW.po	2014-07-05 19:33:38 +0000
+++ po/zh_TW.po	2015-10-30 09:51:52 +0000
@@ -4,17 +4,17 @@
 #
 # Translators:
 # Alisha <alisha.4m@gmail.com>, 2012
-# Hiunn_Hue <hiunnhue108@ymail.com>, 2012
-# Xuetian Weng <wengxt@gmail.com>, 2012-2013
+# Hiunn-hué <hiunnhue108@ymail.com>, 2012
+# csslayer <wengxt@gmail.com>, 2012-2013
 msgid ""
 msgstr ""
 "Project-Id-Version: fcitx\n"
 "Report-Msgid-Bugs-To: fcitx-dev@googlegroups.com\n"
-"POT-Creation-Date: 2013-06-29 12:02-0400\n"
-"PO-Revision-Date: 2013-06-28 04:09+0000\n"
-"Last-Translator: Xuetian Weng <wengxt@gmail.com>\n"
-"Language-Team: Chinese (Taiwan) (http://www.transifex.com/projects/p/fcitx/"
-"language/zh_TW/)\n"
+"POT-Creation-Date: 2015-07-08 18:02+0200\n"
+"PO-Revision-Date: 2015-07-07 22:02+0000\n"
+"Last-Translator: csslayer <wengxt@gmail.com>\n"
+"Language-Team: Chinese (Taiwan) (http://www.transifex.com/p/fcitx/language/"
+"zh_TW/)\n"
 "Language: zh_TW\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
@@ -26,23 +26,23 @@
 msgid "%1% Downloaded."
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:52
+#: dictmanager/dictmanager.cpp:50
 msgid "&Browse Sogou Cell Dictionary Online"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:70
+#: dictmanager/dictmanager.cpp:68
 msgid "&Clear Dict"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:59
+#: dictmanager/dictmanager.cpp:57
 msgid "&Clear User Data"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:67
+#: dictmanager/dictmanager.cpp:65
 msgid "&Import"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:68
+#: dictmanager/dictmanager.cpp:66
 msgid "&Remove"
 msgstr ""
 
@@ -66,16 +66,16 @@
 msgid "An <-> Ang"
 msgstr "An <-> Ang"
 
-#: dictmanager/dictmanager.cpp:207
+#: dictmanager/dictmanager.cpp:231
 #, kde-format
 msgid "Are you sure to delete %1?"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:158
+#: src/fcitx-libpinyin.desc:158 src/fcitx-libpinyin.desc:218
 msgid "Art"
 msgstr "藝術"
 
-#: src/eim.cpp:860 src/zhuyin-libpinyin.conf.in:3
+#: src/eim.cpp:849 src/zhuyin-libpinyin.conf.in:3
 msgid "Bopomofo (LibPinyin)"
 msgstr "注音（LibPinyin）"
 
@@ -91,11 +91,11 @@
 msgid "Ci <-> Chi"
 msgstr "Ci <-> Chi"
 
-#: dictmanager/dictmanager.cpp:60
+#: dictmanager/dictmanager.cpp:58
 msgid "Clear &All Data"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:206
+#: dictmanager/dictmanager.cpp:230
 msgid "Confirm deletion"
 msgstr ""
 
@@ -107,11 +107,11 @@
 msgid "Converter crashed."
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:131
+#: dictmanager/dictmanager.cpp:155
 msgid "Copy file failed. Please check you have permission or disk is not full."
 msgstr ""
 
@@ -130,7 +130,7 @@
 msgid "Ctrl"
 msgstr "Ctrl"
 
-#: src/fcitx-libpinyin.desc:163
+#: src/fcitx-libpinyin.desc:163 src/fcitx-libpinyin.desc:223
 msgid "Culture"
 msgstr "文化"
 
@@ -139,10 +139,19 @@
 #: src/fcitx-libpinyin.desc:172 src/fcitx-libpinyin.desc:177
 #: src/fcitx-libpinyin.desc:182 src/fcitx-libpinyin.desc:187
 #: src/fcitx-libpinyin.desc:192 src/fcitx-libpinyin.desc:197
-#: src/fcitx-libpinyin.desc:202
+#: src/fcitx-libpinyin.desc:202 src/fcitx-libpinyin.desc:207
+#: src/fcitx-libpinyin.desc:212
 msgid "Dictionary"
 msgstr "辭典"
 
+#: src/fcitx-libpinyin.desc:217 src/fcitx-libpinyin.desc:222
+#: src/fcitx-libpinyin.desc:227 src/fcitx-libpinyin.desc:232
+#: src/fcitx-libpinyin.desc:237 src/fcitx-libpinyin.desc:242
+#: src/fcitx-libpinyin.desc:247 src/fcitx-libpinyin.desc:252
+#: src/fcitx-libpinyin.desc:257 src/fcitx-libpinyin.desc:262
+msgid "Dictionary Zhuyin"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:93
 msgid "Download Finished"
 msgstr ""
@@ -155,7 +164,7 @@
 msgid "ET"
 msgstr "倚天"
 
-#: src/fcitx-libpinyin.desc:168
+#: src/fcitx-libpinyin.desc:168 src/fcitx-libpinyin.desc:228
 msgid "Economy"
 msgstr "經濟"
 
@@ -163,7 +172,7 @@
 msgid "En <-> Eng"
 msgstr "En <-> Eng"
 
-#: dictmanager/dictmanager.cpp:215
+#: dictmanager/dictmanager.cpp:239
 #, kde-format
 msgid "Error while deleting %1."
 msgstr ""
@@ -172,7 +181,7 @@
 msgid "Failed to create request."
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:214
+#: dictmanager/dictmanager.cpp:238
 msgid "File Operation Failed"
 msgstr ""
 
@@ -180,11 +189,11 @@
 msgid "Fo <-> He"
 msgstr "Fo <-> He"
 
-#: dictmanager/dictmanager.cpp:50
+#: dictmanager/dictmanager.cpp:48
 msgid "From &File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:51
+#: dictmanager/dictmanager.cpp:49
 msgid "From &Sogou Cell Dictionary File"
 msgstr ""
 
@@ -196,7 +205,7 @@
 msgid "Ge <-> Ke"
 msgstr "Ge <-> Ke"
 
-#: src/fcitx-libpinyin.desc:173
+#: src/fcitx-libpinyin.desc:173 src/fcitx-libpinyin.desc:233
 msgid "Geology"
 msgstr "地質學"
 
@@ -204,7 +213,7 @@
 msgid "GinYieh"
 msgstr "精業"
 
-#: src/fcitx-libpinyin.desc:178
+#: src/fcitx-libpinyin.desc:178 src/fcitx-libpinyin.desc:238
 msgid "History"
 msgstr "歷史"
 
@@ -220,7 +229,7 @@
 msgid "In <-> Ing"
 msgstr "In <-> Ing"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "Input Dictionary Name"
 msgstr ""
 
@@ -236,7 +245,7 @@
 msgid "LibPinyin Wrapper For Fcitx"
 msgstr "Fcitx 的 LibPinyin 封装"
 
-#: src/fcitx-libpinyin.desc:183
+#: src/fcitx-libpinyin.desc:183 src/fcitx-libpinyin.desc:243
 msgid "Life"
 msgstr "生活"
 
@@ -244,7 +253,7 @@
 msgid "MG -> NG"
 msgstr "MG -> NG"
 
-#: dictmanager/dictmanager.cpp:48
+#: dictmanager/dictmanager.cpp:113
 msgid "Manage Pinyin Dictionary"
 msgstr ""
 
@@ -252,7 +261,7 @@
 msgid "Microsoft"
 msgstr "微軟"
 
-#: src/fcitx-libpinyin.desc:188
+#: src/fcitx-libpinyin.desc:188 src/fcitx-libpinyin.desc:248
 msgid "Nature"
 msgstr "自然"
 
@@ -260,7 +269,7 @@
 msgid "Ne <-> Le"
 msgstr "Ne <-> Le"
 
-#: dictmanager/dictmanager.cpp:123 dictmanager/dictmanager.cpp:159
+#: dictmanager/dictmanager.cpp:146 dictmanager/dictmanager.cpp:183
 msgid "New Dictionary Name:"
 msgstr ""
 
@@ -272,11 +281,15 @@
 msgid "ON -> ONG"
 msgstr "ON -> ONG"
 
+#: src/fcitx-libpinyin.desc:193
+msgid "People"
+msgstr ""
+
 #: src/fcitx-libpinyin.desc:1 src/fcitx-libpinyin.desc:6
 msgid "Pinyin"
 msgstr "拼音"
 
-#: src/eim.cpp:826 src/pinyin-libpinyin.conf.in:3
+#: src/eim.cpp:815 src/pinyin-libpinyin.conf.in:3
 msgid "Pinyin (LibPinyin)"
 msgstr "拼音（LibPinyin）"
 
@@ -284,27 +297,31 @@
 msgid "PinyinJiaJia"
 msgstr "拼音加加"
 
-#: dictmanager/dictmanager.cpp:69
+#: dictmanager/dictmanager.cpp:67
 msgid "Remove &All"
 msgstr ""
 
-#: dictmanager/scelconverter.cpp:89
+#: dictmanager/scelconverter.cpp:90
 msgid "Rename failed."
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:145
+#: dictmanager/dictmanager.cpp:169
 msgid "Scel file (*.scel)"
 msgstr ""
 
-#: src/fcitx-libpinyin.desc:193
+#: src/fcitx-libpinyin.desc:198
+msgid "Science"
+msgstr ""
+
+#: src/fcitx-libpinyin.desc:253
 msgid "Science & Technology"
 msgstr "科學技術"
 
-#: dictmanager/dictmanager.cpp:110
+#: dictmanager/dictmanager.cpp:133
 msgid "Select Dictionary File"
 msgstr ""
 
-#: dictmanager/dictmanager.cpp:143
+#: dictmanager/dictmanager.cpp:167
 msgid "Select scel file"
 msgstr ""
 
@@ -316,7 +333,7 @@
 msgid "Shuangpin"
 msgstr "雙拼"
 
-#: src/eim.cpp:843 src/shuangpin-libpinyin.conf.in:3
+#: src/eim.cpp:832 src/shuangpin-libpinyin.conf.in:3
 msgid "Shuangpin (LibPinyin)"
 msgstr "雙拼（LibPinyin）"
 
@@ -328,11 +345,11 @@
 msgid "Si <-> Shi"
 msgstr "Si <-> Shi"
 
-#: src/fcitx-libpinyin.desc:198
+#: src/fcitx-libpinyin.desc:203 src/fcitx-libpinyin.desc:258
 msgid "Society"
 msgstr "社會"
 
-#: src/fcitx-libpinyin.desc:203
+#: src/fcitx-libpinyin.desc:208 src/fcitx-libpinyin.desc:263
 msgid "Sport"
 msgstr "運動"
 
@@ -340,6 +357,10 @@
 msgid "Standard"
 msgstr "標準"
 
+#: src/fcitx-libpinyin.desc:213
+msgid "Technology"
+msgstr ""
+
 #: dictmanager/filedownloader.cpp:44 dictmanager/scelconverter.cpp:47
 msgid "Temporary file created."
 msgstr ""

=== modified file 'src/config.cpp'
--- src/config.cpp	2014-07-05 19:33:38 +0000
+++ src/config.cpp	2015-10-30 09:51:52 +0000
@@ -19,17 +19,22 @@
  ***************************************************************************/
 
 #include "eim.h"
+#include "config.h"
 
 CONFIG_BINDING_BEGIN(FcitxLibPinyinConfig)
 CONFIG_BINDING_REGISTER("Pinyin", "Incomplete", incomplete)
+#ifdef LIBPINYIN_TOOLS_FOUND
 CONFIG_BINDING_REGISTER("Pinyin", "UseTraditionalChineseData", bTraditionalDataForPinyin)
+#endif
 CONFIG_BINDING_REGISTER("Zhuyin", "Incomplete", chewingIncomplete)
 CONFIG_BINDING_REGISTER("Zhuyin", "UseTone", useTone)
 CONFIG_BINDING_REGISTER("Zhuyin", "Layout", zhuyinLayout)
 CONFIG_BINDING_REGISTER("Zhuyin", "PrevPage", hkPrevPage)
 CONFIG_BINDING_REGISTER("Zhuyin", "NextPage", hkNextPage)
 CONFIG_BINDING_REGISTER("Zhuyin", "CandidateModifiers", candidateModifiers)
+#ifdef LIBPINYIN_TOOLS_FOUND
 CONFIG_BINDING_REGISTER("Zhuyin", "UseSimplifiedChineseData", bSimplifiedDataForZhuyin)
+#endif
 CONFIG_BINDING_REGISTER("Shuangpin", "Scheme", spScheme)
 CONFIG_BINDING_REGISTER("Correction", "VU", cr[FCITX_CR_V_U])
 CONFIG_BINDING_REGISTER("Correction", "GNNG", cr[FCITX_CR_GN_NG])
@@ -56,7 +61,19 @@
 CONFIG_BINDING_REGISTER("Dictionary", "History", dict[FCITX_DICT_HISTORY])
 CONFIG_BINDING_REGISTER("Dictionary", "Life", dict[FCITX_DICT_LIFE])
 CONFIG_BINDING_REGISTER("Dictionary", "Nature", dict[FCITX_DICT_NATURE])
-CONFIG_BINDING_REGISTER("Dictionary", "Scitech", dict[FCITX_DICT_SCITECH])
+CONFIG_BINDING_REGISTER("Dictionary", "People", dict[FCITX_DICT_PEOPLE])
+CONFIG_BINDING_REGISTER("Dictionary", "Scitech", dict[FCITX_DICT_SCIENCE])
 CONFIG_BINDING_REGISTER("Dictionary", "Society", dict[FCITX_DICT_SOCIETY])
 CONFIG_BINDING_REGISTER("Dictionary", "Sport", dict[FCITX_DICT_SPORT])
+CONFIG_BINDING_REGISTER("Dictionary", "Technology", dict[FCITX_DICT_TECHNOLOGY])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Art", dict[FCITX_ZHUYIN_DICT_ART])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Culture", dict[FCITX_ZHUYIN_DICT_CULTURE])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Economy", dict[FCITX_ZHUYIN_DICT_ECONOMY])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Geology", dict[FCITX_ZHUYIN_DICT_GEOLOGY])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "History", dict[FCITX_ZHUYIN_DICT_HISTORY])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Life", dict[FCITX_ZHUYIN_DICT_LIFE])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Nature", dict[FCITX_ZHUYIN_DICT_NATURE])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Scitech", dict[FCITX_ZHUYIN_DICT_SCITECH])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Society", dict[FCITX_ZHUYIN_DICT_SOCIETY])
+CONFIG_BINDING_REGISTER("Dictionary Zhuyin", "Sport", dict[FCITX_ZHUYIN_DICT_SPORT])
 CONFIG_BINDING_END()

=== modified file 'src/eim.cpp'
--- src/eim.cpp	2014-07-05 19:33:38 +0000
+++ src/eim.cpp	2015-10-30 09:51:52 +0000
@@ -354,10 +354,6 @@
         char* user_path = FcitxLibPinyinGetUserPath(libpinyinaddon->config.bSimplifiedDataForZhuyin ? LPLT_Simplified : LPLT_Traditional);
         char* syspath = FcitxLibPinyinGetSysPath(libpinyinaddon->config.bSimplifiedDataForZhuyin ? LPLT_Simplified : LPLT_Traditional);
         libpinyinaddon->zhuyin_context = pinyin_init(syspath, user_path);
-        pinyin_load_phrase_library(libpinyinaddon->zhuyin_context, GBK_DICTIONARY);
-        pinyin_load_phrase_library(libpinyinaddon->zhuyin_context, MERGED_DICTIONARY);
-        pinyin_load_phrase_library(libpinyinaddon->zhuyin_context, 14);
-        pinyin_load_phrase_library(libpinyinaddon->zhuyin_context, USER_DICTIONARY);
         free(user_path);
         free(syspath);
     }
@@ -366,10 +362,6 @@
         char* user_path = FcitxLibPinyinGetUserPath(libpinyinaddon->config.bTraditionalDataForPinyin ? LPLT_Traditional : LPLT_Simplified);
         char* syspath = FcitxLibPinyinGetSysPath(libpinyinaddon->config.bTraditionalDataForPinyin ? LPLT_Traditional : LPLT_Simplified);
         libpinyinaddon->pinyin_context = pinyin_init(syspath, user_path);
-        pinyin_load_phrase_library(libpinyinaddon->pinyin_context, GBK_DICTIONARY);
-        pinyin_load_phrase_library(libpinyinaddon->pinyin_context, MERGED_DICTIONARY);
-        pinyin_load_phrase_library(libpinyinaddon->pinyin_context, 14);
-        pinyin_load_phrase_library(libpinyinaddon->pinyin_context, USER_DICTIONARY);
         free(user_path);
         free(syspath);
     }
@@ -770,7 +762,7 @@
     }
 
     if (ss.str().length() > 0) {
-        import_iterator_t* iter = pinyin_begin_add_phrases(context, 15);
+        import_iterator_t* iter = pinyin_begin_add_phrases(context, USER_DICTIONARY);
         if (iter) {
             char* hz = (char*) args.args[0];
             pinyin_iterator_add_phrase(iter, hz, ss.str().c_str(), -1);
@@ -792,6 +784,7 @@
 {
     FcitxLibPinyinAddonInstance* libpinyinaddon = (FcitxLibPinyinAddonInstance*) fcitx_utils_malloc0(sizeof(FcitxLibPinyinAddonInstance));
     bindtextdomain("fcitx-libpinyin", LOCALEDIR);
+    bind_textdomain_codeset("fcitx-libpinyin", "UTF-8");
     libpinyinaddon->owner = instance;
     FcitxAddon* addon = FcitxAddonsGetAddonByName(FcitxInstanceGetAddons(instance), "fcitx-libpinyin");
 
@@ -892,11 +885,11 @@
     if (libpinyinaddon->zhuyin_context) {
         pinyin_set_chewing_scheme(libpinyinaddon->zhuyin_context, FcitxLibPinyinTransZhuyinLayout(config->zhuyinLayout));
 
-        for (int i = 0; i <= FCITX_DICT_LAST; i++) {
-            if (config->dict[i]) {
-                pinyin_load_phrase_library(libpinyinaddon->zhuyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
+        for (int i = 0; i <= FCITX_ZHUYIN_DICT_LAST; i++) {
+            if (config->dict_zhuyin[i]) {
+                pinyin_load_addon_phrase_library(libpinyinaddon->zhuyin_context, FcitxLibPinyinTransZhuyinDictionary(static_cast<FCITX_ZHUYIN_DICTIONARY>(i)));
             } else {
-                pinyin_unload_phrase_library(libpinyinaddon->zhuyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
+                pinyin_unload_addon_phrase_library(libpinyinaddon->zhuyin_context, FcitxLibPinyinTransZhuyinDictionary(static_cast<FCITX_ZHUYIN_DICTIONARY>(i)));
             }
         }
     }
@@ -904,9 +897,9 @@
         pinyin_set_double_pinyin_scheme(libpinyinaddon->pinyin_context, FcitxLibPinyinTransShuangpinScheme(config->spScheme));
         for (int i = 0; i <= FCITX_DICT_LAST; i++) {
             if (config->dict[i]) {
-                pinyin_load_phrase_library(libpinyinaddon->pinyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
+                pinyin_load_addon_phrase_library(libpinyinaddon->pinyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
             } else {
-                pinyin_unload_phrase_library(libpinyinaddon->pinyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
+                pinyin_unload_addon_phrase_library(libpinyinaddon->pinyin_context, FcitxLibPinyinTransDictionary(static_cast<FCITX_DICTIONARY>(i)));
             }
         }
     }
@@ -969,10 +962,11 @@
 
     switch (type) {
     case 0:
-        pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(15, null_token));
+        pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(USER_DICTIONARY, null_token));
+        pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(ADDON_DICTIONARY, null_token));
         break;
     case 1:
-        pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(14, null_token));
+        pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(NETWORK_DICTIONARY, null_token));
         break;
     case 2:
         pinyin_mask_out(context, 0, 0);
@@ -999,9 +993,9 @@
 
     const char* path = langType == LPLT_Simplified ? "libpinyin/importdict" : "libpinyin/importdict_zhuyin";
 
-    pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(14, null_token));
+    pinyin_mask_out(context, PHRASE_INDEX_LIBRARY_MASK, PHRASE_INDEX_MAKE_TOKEN(NETWORK_DICTIONARY, null_token));
 
-    import_iterator_t* iter = pinyin_begin_add_phrases(context, 14);
+    import_iterator_t* iter = pinyin_begin_add_phrases(context, NETWORK_DICTIONARY);
     if (iter == NULL) {
         return;
     }

=== modified file 'src/eim.h'
--- src/eim.h	2014-07-05 19:33:38 +0000
+++ src/eim.h	2015-10-30 09:51:52 +0000
@@ -82,10 +82,26 @@
     FCITX_DICT_HISTORY,
     FCITX_DICT_LIFE,
     FCITX_DICT_NATURE,
-    FCITX_DICT_SCITECH,
+    FCITX_DICT_PEOPLE,
+    FCITX_DICT_SCIENCE,
     FCITX_DICT_SOCIETY,
     FCITX_DICT_SPORT,
-    FCITX_DICT_LAST = FCITX_DICT_SPORT
+    FCITX_DICT_TECHNOLOGY,
+    FCITX_DICT_LAST = FCITX_DICT_TECHNOLOGY
+};
+
+enum FCITX_ZHUYIN_DICTIONARY {
+    FCITX_ZHUYIN_DICT_ART,
+    FCITX_ZHUYIN_DICT_CULTURE,
+    FCITX_ZHUYIN_DICT_ECONOMY,
+    FCITX_ZHUYIN_DICT_GEOLOGY,
+    FCITX_ZHUYIN_DICT_HISTORY,
+    FCITX_ZHUYIN_DICT_LIFE,
+    FCITX_ZHUYIN_DICT_NATURE,
+    FCITX_ZHUYIN_DICT_SCITECH,
+    FCITX_ZHUYIN_DICT_SOCIETY,
+    FCITX_ZHUYIN_DICT_SPORT,
+    FCITX_ZHUYIN_DICT_LAST = FCITX_ZHUYIN_DICT_SPORT
 };
 
 enum FCITX_AMBIGUITY {
@@ -117,6 +133,7 @@
     boolean amb[FCITX_AMB_LAST + 1];
     boolean cr[FCITX_CR_LAST + 1];
     boolean dict[FCITX_DICT_LAST + 1];
+    boolean dict_zhuyin[FCITX_ZHUYIN_DICT_LAST + 1];
     boolean incomplete;
     boolean chewingIncomplete;
     boolean bTraditionalDataForPinyin;

=== modified file 'src/enummap.cpp'
--- src/enummap.cpp	2014-07-05 19:33:38 +0000
+++ src/enummap.cpp	2015-10-30 09:51:52 +0000
@@ -120,7 +120,9 @@
     10,
     11,
     12,
-    13
+    13,
+    14,
+    15,
 };
 
 int FcitxLibPinyinTransDictionary(FCITX_DICTIONARY dict)
@@ -130,3 +132,25 @@
     assert(sz == sz2);
     return dictMap[dict];
 }
+
+static const int dictMapZhuyin[] =
+{
+    4,
+    5,
+    6,
+    7,
+    8,
+    9,
+    10,
+    11,
+    12,
+    13
+};
+
+int FcitxLibPinyinTransZhuyinDictionary(FCITX_ZHUYIN_DICTIONARY dict)
+{
+    int sz = sizeof(dictMapZhuyin) / sizeof(dictMapZhuyin[0]);
+    int sz2 = FCITX_ZHUYIN_DICT_LAST + 1;
+    assert(sz == sz2);
+    return dictMapZhuyin[dict];
+}

=== modified file 'src/enummap.h'
--- src/enummap.h	2014-07-05 19:33:38 +0000
+++ src/enummap.h	2015-10-30 09:51:52 +0000
@@ -29,5 +29,6 @@
 PinyinAmbiguity2 FcitxLibPinyinTransAmbiguity(FCITX_AMBIGUITY ambiguity);
 PinyinCorrection2 FcitxLibPinyinTransCorrection(FCITX_CORRECTION correction);
 int FcitxLibPinyinTransDictionary(FCITX_DICTIONARY dict);
+int FcitxLibPinyinTransZhuyinDictionary(FCITX_ZHUYIN_DICTIONARY dict);
 
 #endif

=== modified file 'src/fcitx-libpinyin.desc'
--- src/fcitx-libpinyin.desc	2014-07-05 19:33:38 +0000
+++ src/fcitx-libpinyin.desc	2015-10-30 09:51:52 +0000
@@ -157,52 +157,112 @@
 [Dictionary/Art]
 Description=Art
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Culture]
 Description=Culture
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Economy]
 Description=Economy
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Geology]
 Description=Geology
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/History]
 Description=History
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Life]
 Description=Life
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Nature]
 Description=Nature
 Type=Boolean
-DefaultValue=True
-
-[Dictionary/Scitech]
-Description=Science & Technology
-Type=Boolean
-DefaultValue=True
+DefaultValue=False
+
+[Dictionary/People]
+Description=People
+Type=Boolean
+DefaultValue=False
+
+[Dictionary/Science]
+Description=Science
+Type=Boolean
+DefaultValue=False
 
 [Dictionary/Society]
 Description=Society
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
 
 [Dictionary/Sport]
 Description=Sport
 Type=Boolean
-DefaultValue=True
+DefaultValue=False
+
+[Dictionary/Technology]
+Description=Technology
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Art]
+Description=Art
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Culture]
+Description=Culture
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Economy]
+Description=Economy
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Geology]
+Description=Geology
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/History]
+Description=History
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Life]
+Description=Life
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Nature]
+Description=Nature
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Scitech]
+Description=Science & Technology
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Society]
+Description=Society
+Type=Boolean
+DefaultValue=False
+
+[Dictionary Zhuyin/Sport]
+Description=Sport
+Type=Boolean
+DefaultValue=False
 
 [DescriptionFile]
 LocaleDomain=fcitx-libpinyin

=== modified file 'src/utils.cpp'
--- src/utils.cpp	2014-07-05 19:33:38 +0000
+++ src/utils.cpp	2015-10-30 09:51:52 +0000
@@ -6,13 +6,16 @@
 char* FcitxLibPinyinGetSysPath(LIBPINYIN_LANGUAGE_TYPE type)
 {
     char* syspath = NULL;
+#ifdef LIBPINYIN_TOOLS_FOUND
     if (type == LPLT_Simplified) {
+#endif
         /* portable detect here */
         if (getenv("FCITXDIR")) {
             syspath = fcitx_utils_get_fcitx_path_with_filename("datadir", "libpinyin/data");
         } else {
             syspath = strdup(LIBPINYIN_PKGDATADIR "/data");
         }
+#ifdef LIBPINYIN_TOOLS_FOUND
     }
     else {
         /* portable detect here */
@@ -22,6 +25,7 @@
             syspath = strdup(FCITX_LIBPINYIN_ZHUYIN_DATADIR);
         }
     }
+#endif
     return syspath;
 }
 
@@ -29,11 +33,14 @@
 char* FcitxLibPinyinGetUserPath(LIBPINYIN_LANGUAGE_TYPE type)
 {
     char* user_path = NULL;
+#ifdef LIBPINYIN_TOOLS_FOUND
     if (type == LPLT_Simplified) {
+#endif
         FILE* fp = FcitxXDGGetFileUserWithPrefix("libpinyin", "data/.place_holder", "w", NULL);
         if (fp)
             fclose(fp);
         FcitxXDGGetFileUserWithPrefix("libpinyin", "data", NULL, &user_path);
+#ifdef LIBPINYIN_TOOLS_FOUND
     }
     else {
         FILE* fp = FcitxXDGGetFileUserWithPrefix("libpinyin", "zhuyin_data/.place_holder", "w", NULL);
@@ -41,5 +48,6 @@
             fclose(fp);
         FcitxXDGGetFileUserWithPrefix("libpinyin", "zhuyin_data", NULL, &user_path);
     }
+#endif
     return user_path;
 }

